###################################################
### chunk number 1: load-limma
###################################################
#line 143 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
library(limma)


###################################################
### chunk number 2: readTargets
###################################################
#line 165 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
targets <- readTargets("coralTargets.txt")
targets$FileName     # Display the file names


###################################################
### chunk number 3: see-targets eval=FALSE
###################################################
## #line 179 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
## targets


###################################################
### chunk number 4: read-images
###################################################
#line 191 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
coralRG <- read.maimages(targets$FileName, source = "spot",
    other.columns=list(area="area", badspot="badspot"))


###################################################
### chunk number 5: 
###################################################
#line 200 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
summary(coralRG$other$area)


###################################################
### chunk number 6: 
###################################################
#line 207 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
plot(density(coralRG$other$area[,1]))


###################################################
### chunk number 7: 
###################################################
#line 220 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
coralRG$genes <- readGAL()
coralRG$printer <- getLayout(coralRG$genes)
coralRG$printer


###################################################
### chunk number 8: printseq
###################################################
#line 231 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
library(DAAGbio)
plotprintseq()


###################################################
### chunk number 9: 
###################################################
#line 266 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
spottypes<-readSpotTypes()
coralRG$genes$Status <- controlStatus(spottypes, coralRG)


###################################################
### chunk number 10: 
###################################################
#line 292 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
imageplot(log2(coralRG$Rb[, 1]+1), layout = coralRG$printer,
          low="white", high="red")


###################################################
### chunk number 11: 
###################################################
#line 299 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
imageplot(log2(coralRG$Rb[, 2]+1), layout = coralRG$printer,
          low="white", high="red")


###################################################
### chunk number 12: 
###################################################
#line 346 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
plotMA(coralRG, array=1)


###################################################
### chunk number 13: 
###################################################
#line 364 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
rawMA <- normalizeWithinArrays(coralRG, method = "none")
plotPrintTipLoess(rawMA, array=1)


###################################################
### chunk number 14: 
###################################################
#line 373 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
MA <- normalizeWithinArrays(coralRG, method = "printtiploess")
plotPrintTipLoess(MA)


###################################################
### chunk number 15:  eval=FALSE
###################################################
## #line 378 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
## boxplot(MA$M ~ col(MA$M), names = colnames(MA$M))


###################################################
### chunk number 16: 
###################################################
#line 386 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
nMA <- normalizeBetweenArrays(MA)
boxplot(nMA$M ~ col(nMA$M), names = colnames(nMA$M))


###################################################
### chunk number 17: 
###################################################
#line 400 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
wanted <- coralRG$genes$Status == "diff-exp ctl"
rawdeM <- rawMA$M[wanted, ]
pairs(rawdeM)


###################################################
### chunk number 18: 
###################################################
#line 411 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
wanted <- coralRG$genes$Status == "diff-exp ctl"
deM <- nMA$M[wanted, ]
pairs(rawdeM)


###################################################
### chunk number 19: 
###################################################
#line 424 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
imageplot(nMA$M[,5], layout=coralRG$printer)


###################################################
### chunk number 20: 
###################################################
#line 453 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
design <- c(-1, 1, -1, 1, 0, 1)


###################################################
### chunk number 21: 
###################################################
#line 459 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
fit <- lmFit(nMA, design)


###################################################
### chunk number 22: 
###################################################
#line 492 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
efit <- eBayes(fit)
qqt(efit$t, df = efit$df.prior + efit$df.residual, pch = 16, 
    cex = 0.2)


###################################################
### chunk number 23: 
###################################################
#line 507 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
options(digits = 3)
topvals <- topTable(efit, number = 50)
topvals


###################################################
### chunk number 24: 
###################################################
#line 522 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
plot(efit$coef, efit$lods, pch = 16, cex = 0.2, xlab = "log(fold change)", 
    ylab = "log(odds)")
ord <- order(efit$lods, decreasing = TRUE)
top8 <- ord[1:8]
text(efit$coef[top8], efit$lods[top8], labels = coralRG$genes[top8, 
    "Name"], cex = 0.8, col = "blue")


###################################################
### chunk number 25: 
###################################################
#line 552 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
coral2RG <- read.maimages(targets$FileName, 
                         source = "spot",
                         wt.fun=wtarea(100))
coral2RG$genes <- readGAL()
coral2RG$printer <- getLayout(coral2RG$genes)


###################################################
### chunk number 26: 
###################################################
#line 564 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
MA2 <- normalizeWithinArrays(coral2RG, method = "printtiploess")
plotPrintTipLoess(MA2)


###################################################
### chunk number 27: 
###################################################
#line 569 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
boxplot(MA2$M ~ col(MA2$M), names = colnames(MA2$M))
nMA2 <- normalizeBetweenArrays(MA2)
boxplot(nMA2$M ~ col(nMA2$M), names = colnames(nMA2$M))


###################################################
### chunk number 28: 
###################################################
#line 578 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
imageplot(nMA2$M[,5], layout=coral2RG$printer)


###################################################
### chunk number 29: 
###################################################
#line 585 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
design <- c(-1, 1, -1, 1, 0, 1)
fit2 <- lmFit(nMA2, design)


###################################################
### chunk number 30: 
###################################################
#line 592 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
efit2 <- eBayes(fit2)
qqt(efit2$t, df = efit2$df.prior + efit2$df.residual, pch = 16, 
    cex = 0.2)


###################################################
### chunk number 31: 
###################################################
#line 600 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
options(digits = 3)
topTable(efit2, number = 50)


###################################################
### chunk number 32: 
###################################################
#line 607 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
## Get & store results with & without weights
topvals2 <- topTable(efit2, number = 50)
cbind(row.names(topvals), row.names(topvals2))


###################################################
### chunk number 33: 
###################################################
#line 613 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
sum(row.names(topvals)%in%row.names(topvals2))


###################################################
### chunk number 34: 
###################################################
#line 641 "d:/Rcompile/CRANpkg/local/2.12/DAAGbio/inst/doc/marray-notes.Rnw"
imgplot(coralRG$R[, 1], layout = coralRG$printer)


